Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665816 - app-admin/ulogd: Validate DEPEND on virtual/mysql
Summary: app-admin/ulogd: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Coacher
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:27 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:27:30 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-10-05 21:39:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1963b3b1e434fb6d0adf16e5740de3bd966d3fda

commit 1963b3b1e434fb6d0adf16e5740de3bd966d3fda
Author:     Ilya Tumaykin <itumaykin@gmail.com>
AuthorDate: 2018-10-04 19:22:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-10-05 21:39:29 +0000

    app-admin/ulogd: migrate to dev-db/mysql-connector-c for mysql
    
    Also drop deprecated ltprune eclass.
    Straight to stable since it's trivial changes only.
    
    Closes: https://bugs.gentoo.org/665816
    Signed-off-by: Ilya Tumaykin <itumaykin@gmail.com>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11
    Closes: https://github.com/gentoo/gentoo/pull/10067
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-admin/ulogd/ulogd-2.0.7-r1.ebuild | 137 ++++++++++++++++++++++++++++++++++
 1 file changed, 137 insertions(+)